com.amazonaws.services.rds.model

## クラス DescribeOptionGroupOptionsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.rds.model.DescribeOptionGroupOptionsRequest

- すべての実装されたインタフェース:
    java.io.Serializable

      public class DescribeOptionGroupOptionsRequest
      extends AmazonWebServiceRequest
      implements java.io.Serializable

  Container for the parameters to the `DescribeOptionGroupOptions operation`.

  Describes all available options.

  関連項目:
    `AmazonRDS.describeOptionGroupOptions(DescribeOptionGroupOptionsRequest)`, 直列化された形式

- - ### コンストラクタの概要

    コンストラクタ
    コンストラクタと説明
    `DescribeOptionGroupOptionsRequest()`

  - ### メソッドの概要

    メソッド
    修飾子とタイプ | メソッドと説明
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getEngineName()` A required parameter.
    `java.lang.String` | `getMajorEngineVersion()` If specified, filters the results to include only options for the specified major engine version.
    `java.lang.String` | `getMarker()` An optional pagination token provided by a previous request.
    `java.lang.Integer` | `getMaxRecords()` The maximum number of records to include in the response.
    `int` | `hashCode()`
    `void` | `setEngineName(java.lang.String engineName)` A required parameter.
    `void` | `setMajorEngineVersion(java.lang.String majorEngineVersion)` If specified, filters the results to include only options for the specified major engine version.
    `void` | `setMarker(java.lang.String marker)` An optional pagination token provided by a previous request.
    `void` | `setMaxRecords(java.lang.Integer maxRecords)` The maximum number of records to include in the response.
    `java.lang.String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
    `DescribeOptionGroupOptionsRequest` | `withEngineName(java.lang.String engineName)` A required parameter.
    `DescribeOptionGroupOptionsRequest` | `withMajorEngineVersion(java.lang.String majorEngineVersion)` If specified, filters the results to include only options for the specified major engine version.
    `DescribeOptionGroupOptionsRequest` | `withMarker(java.lang.String marker)` An optional pagination token provided by a previous request.
    `DescribeOptionGroupOptionsRequest` | `withMaxRecords(java.lang.Integer maxRecords)` The maximum number of records to include in the response.

    - ### クラスから継承されたメソッド com.amazonaws.AmazonWebServiceRequest

      `copyPrivateRequestParameters, getRequestClientOptions, getRequestCredentials, setRequestCredentials`

    - ### クラスから継承されたメソッド java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### コンストラクタの詳細

    - #### DescribeOptionGroupOptionsRequest

          public DescribeOptionGroupOptionsRequest()

  - ### メソッドの詳細

    - #### getEngineName

          public java.lang.String getEngineName()

      A required parameter. Options available for the given Engine name will be described.
      戻り値:
        A required parameter. Options available for the given Engine name will be described.

    - #### setEngineName

          public void setEngineName(java.lang.String engineName)

      A required parameter. Options available for the given Engine name will be described.
      パラメータ:
        `engineName` - A required parameter. Options available for the given Engine name will be described.

    - #### withEngineName

          public DescribeOptionGroupOptionsRequest withEngineName(java.lang.String engineName)

      A required parameter. Options available for the given Engine name will be described.

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `engineName` - A required parameter. Options available for the given Engine name will be described.

    - #### getMajorEngineVersion

          public java.lang.String getMajorEngineVersion()

      If specified, filters the results to include only options for the specified major engine version.
      戻り値:
        If specified, filters the results to include only options for the specified major engine version.

    - #### setMajorEngineVersion

          public void setMajorEngineVersion(java.lang.String majorEngineVersion)

      If specified, filters the results to include only options for the specified major engine version.
      パラメータ:
        `majorEngineVersion` - If specified, filters the results to include only options for the specified major engine version.

    - #### withMajorEngineVersion

          public DescribeOptionGroupOptionsRequest withMajorEngineVersion(java.lang.String majorEngineVersion)

      If specified, filters the results to include only options for the specified major engine version.

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `majorEngineVersion` - If specified, filters the results to include only options for the specified major engine version.

    - #### getMaxRecords

          public java.lang.Integer getMaxRecords()

      The maximum number of records to include in the response. If more records exist than the specified `MaxRecords` value, a pagination token called a marker is included in the response so that the remaining results can be retrieved.

      Default: 100

      Constraints: minimum 20, maximum 100

      戻り値:
        The maximum number of records to include in the response. If more records exist than the specified `MaxRecords` value, a pagination token called a marker is included in the response so that the remaining results can be retrieved.

        Default: 100

        Constraints: minimum 20, maximum 100

    - #### setMaxRecords

          public void setMaxRecords(java.lang.Integer maxRecords)

      The maximum number of records to include in the response. If more records exist than the specified `MaxRecords` value, a pagination token called a marker is included in the response so that the remaining results can be retrieved.

      Default: 100

      Constraints: minimum 20, maximum 100

      パラメータ:
        `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified `MaxRecords` value, a pagination token called a marker is included in the response so that the remaining results can be retrieved.

        Default: 100

        Constraints: minimum 20, maximum 100

    - #### withMaxRecords

          public DescribeOptionGroupOptionsRequest withMaxRecords(java.lang.Integer maxRecords)

      The maximum number of records to include in the response. If more records exist than the specified `MaxRecords` value, a pagination token called a marker is included in the response so that the remaining results can be retrieved.

      Default: 100

      Constraints: minimum 20, maximum 100

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified `MaxRecords` value, a pagination token called a marker is included in the response so that the remaining results can be retrieved.

        Default: 100

        Constraints: minimum 20, maximum 100

    - #### getMarker

          public java.lang.String getMarker()

      An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by `MaxRecords`.
      戻り値:
        An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by `MaxRecords`.

    - #### setMarker

          public void setMarker(java.lang.String marker)

      An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by `MaxRecords`.
      パラメータ:
        `marker` - An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by `MaxRecords`.

    - #### withMarker

          public DescribeOptionGroupOptionsRequest withMarker(java.lang.String marker)

      An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by `MaxRecords`.

      Returns a reference to this object so that method calls can be chained together.

      パラメータ:
        `marker` - An optional pagination token provided by a previous request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by `MaxRecords`.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object; useful for testing and debugging.
      オーバーライド:
        `toString` クラス内 `java.lang.Object`
      戻り値:
        A string representation of this object.
      関連項目:
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      オーバーライド:
        `hashCode` クラス内 `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      オーバーライド:
        `equals` クラス内 `java.lang.Object`